import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { ClaimFileCreateManyClaimInputObjectSchema as ClaimFileCreateManyClaimInputObjectSchema } from './ClaimFileCreateManyClaimInput.schema'

const makeSchema = () => z.object({
  data: z.union([z.lazy(() => ClaimFileCreateManyClaimInputObjectSchema), z.lazy(() => ClaimFileCreateManyClaimInputObjectSchema).array()]),
  skipDuplicates: z.boolean().optional()
}).strict();
export const ClaimFileCreateManyClaimInputEnvelopeObjectSchema: z.ZodType<Prisma.ClaimFileCreateManyClaimInputEnvelope> = makeSchema() as unknown as z.ZodType<Prisma.ClaimFileCreateManyClaimInputEnvelope>;
export const ClaimFileCreateManyClaimInputEnvelopeObjectZodSchema = makeSchema();
